//
//  AMessageController.h
//  Frenzic
//
//  Created by Wolfgang Ante on 01.03.07.
//  Copyright 2007 ARTIS Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebFrame.h>
#import <WebKit/WebView.h>

/*

  This class is handling the push messages from the server.
  It is sending the app version to '/services/message.php' and expects
  a reply formatted like this:
  
  "MSG_ID URL"
  
  MSG_ID is a unique identifier for this message
  URL is the url of the message to display
  
  If the MSG_ID is 0 this means there is no message

*/

@interface AMessageController : NSObject
{
	IBOutlet NSWindow	*mWindow;
	IBOutlet WebView	*mWebView;
	IBOutlet NSButton	*mNotAgain;
	
	NSUserDefaults		*mPrefs;
	NSString			*mMsgId;
	NSString			*mURL;
}

- (void)fetchMessageFromServerWithURLString:(NSString *)url;
- (IBAction)closeWindow:(id)sender;
- (IBAction)toggleNotAgain:(id)sender;

@end
